import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.Reader;

/** Loads the .hex-file on the Arduino **/
public class Loader {
  private String command="";
  public Loader(String comport, String filename){
    command="avrdude.exe -F -v -pm328p -cstk500v1 -P\\\\.\\"+comport+" -b115200 -D -Uflash:w:\""+filename+"\":i";
  }
  
  public void execute() throws IOException{
    String line;
      Process proc = Runtime.getRuntime().exec("cmd /c " + command);
      Reader r = new InputStreamReader(proc.getErrorStream());
      BufferedReader in = new BufferedReader(r);
      //prints the output of avrdude to the console
      while((line = in.readLine())!=null){
        System.out.println(line);
      }
      in.close();
  }

}